%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Params-ValidationCompiler
Version:       0.31
Release:       1mamba
Summary:       Params::ValidationCompiler - Build an optimized subroutine parameter validator once, use it forever
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Params-ValidationCompiler-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Eval-Closure
BuildRequires: perl-Exception-Class
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
Params::ValidationCompiler - Build an optimized subroutine parameter validator once, use it forever.

%prep
%setup -q -n Params-ValidationCompiler-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README.md

%changelog
* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 0.31-1mamba
- automatic version update by autodist

* Wed Sep 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30-1mamba
- package created using the webbuild interface
